@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primaryColor: #1be24db0;
  --mainDark: #111;
  --mainWhite: #ddd;
  --mainGrey: #aaa;
  --mainTransition: all 0.1s linear;
  --mainTransparency: rgba(0, 0, 0, 0.6);
}

body {
  font-family: "Roboto", sans-serif;
  line-height: 1.2;
}

a {
  text-decoration: none;
}

p {
  margin: 0.75rem 0;
}

/* utilities */
.text-primary {
  color: var(--primaryColor);
}

.l-heading {
  font-size: 4rem;
  margin-bottom: 0.5rem;
}

.m-heading {
  font-size: 2rem;
  margin-bottom: 0.5rem;
}

.py-1 {
  padding: 1.5rem 0;
}
.py-2 {
  padding: 2rem 0;
}
.py-3 {
  padding: 3rem 0;
}

.p-1 {
  padding: 1.5rem;
}
.p-2 {
  padding: 2rem;
}
.p-3 {
  padding: 3rem;
}

.lead {
  font-size: 1.2rem;
}

.btn {
  display: inline-block;
  background: var(--primaryColor);
  padding: 1rem 2rem;
  color: var(--mainWhite);
  margin: 1rem 0;
  border: none;
  border-radius: 10px;
  cursor: pointer;
}

.btn-dark {
  background: var(--mainDark);
  color: var(--mainWhite);
}

.btn:hover {
  background: rgba(0, 255, 64, 0.411);
  transition: var(--mainTransition);
}

.container {
  max-width: 1000px;
  margin: auto;
  padding: 0 2rem;
  overflow: hidden;
}

.text-center {
  text-align: center;
}

.bg-dark {
  background: var(--mainDark);
  color: var(--mainWhite);
}

.bg-primary {
  background: var(--primaryColor);
  color: var(--mainDark);
}

.list {
  margin: 0.5rem;
  list-style: square;
}

.list li {
  padding: 0.5rem 0;
}

/* end of utilities */

/* content divider */
.content-divider {
  height: 0.5rem;
  background: linear-gradient(
    to right,
    var(--primaryColor),
    var(--mainDark),
    var(--primaryColor)
  );
}
/* content divider end */

/* Navbar */
#navbar {
  display: flex;
  position: sticky;
  top: 0;
  background: var(--mainDark);
  color: var(--mainWhite);
  justify-content: space-between;
  z-index: 1; /* on top of everything */
  padding: 1rem;
}

#navbar ul {
  display: flex;
  align-items: center;
  list-style: none;
}

#navbar ul li a {
  padding: 1rem;
  color: var(--mainWhite);
  cursor: pointer;
  margin: 0.5rem;
}

#navbar ul li a:hover {
  background: var(--primaryColor);
  border-radius: 10%;
  transition: var(--mainTransition);
}
/* end of Navbar */

/* showcase */
#showcase {
  background: var(--mainDark) url("../img/showcase.jpg") no-repeat center
    center/cover;
  height: 100vh;
  color: var(--mainWhite);
}

#showcase .showcase-content {
  display: flex;
  height: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 0 4rem;
  background-color: var(--mainTransparency);
}
/* end of showcase */

/* Section: Wut? */
#wut .items {
  display: flex;
  padding: 1rem;
}

#wut .items .item {
  flex: 1;
  text-align: center;
  padding: 1rem;
}

#wut .items .item i {
  background: var(--primaryColor);
  padding: 1rem;
  border-radius: 50%;
  margin-bottom: 1rem;
}
/* end of Section: Wut? */

/* Section: We? */
#we {
  display: flex;
}

#we div {
  flex: 1;
}

#we .we-img {
  background: url("../img/people.jpg") no-repeat center center/cover;
}
/* end of Section: We? */

/* Section: Client */
#clients .items {
  display: flex;
}

#clients .items img {
  display: block;
  margin: auto;
  width: 50%;
}

/* Section: Contact */
#contact {
  display: flex;
}

#contact .contact-form {
  flex: 1;
}

#contact .map {
  flex: 2;
}

#contact .contact-form .form-group {
  margin: 0.75rem 0;
}

#contact .contact-form label {
  display: block;
}

#contact .contact-form input,
#contact .contact-form textarea {
  width: 100%;
  padding: 0.5rem;
}

.map {
  background: url("../img/map.jpg") no-repeat center center/cover;
}
